Bug 560981 - Web Admin: There is no way to define VM default host using RunOnce [RFE]
Web Admin: There is no way to define VM default host using RunOnce [RFE]
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
All Windows
low Severity medium
: ---
: 3.3
Assigned To: Michal Skrivanek
virt
: FutureFeature, Improvement, Reopened
Depends On:
Blocks: 902353
  Show dependency treegraph
 
Reported: 2010-02-02 07:10 EST by Oded Ramraz
Modified: 2013-09-23 03:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 902353 (view as bug list)
Environment:
Last Closed: 2013-09-23 03:35:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New RunOnce dialog with default host selection (16.58 KB, image/png)
2013-01-04 09:41 EST, Libor Spevak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10654 None None None Never
oVirt gerrit 11303 None None None Never

  None (edit)
Description Oded Ramraz 2010-02-02 07:10:36 EST
Description of problem:

It is possible to define VM default host for single timeusing Start-VM CmdLet:
Start-VM -defaultHostId $id.
It will be nice to have this option in GUI ( in case we want to try to run VM on a specific host for single time ).



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 4 Miki Kenneth 2010-02-08 15:33:41 EST
you mean selectHost right? not defaultHost?
Comment 5 Yaniv Kaul 2010-02-08 15:58:06 EST
(In reply to comment #4)
> you mean selectHost right? not defaultHost?    

In a VM properties, it's called default host. It means it'll TRY to run on it, but if it fails, would run on others.
Comment 6 Miki Kenneth 2010-02-10 10:51:14 EST
deferring to next version.
Comment 7 Itamar Heim 2011-11-29 16:16:29 EST
closing old bugs as part of cleanup.
you can reopen the bug if you find it relevant and important still.
please consider opening a new bug on upstream ovirt component if the issue is still relevant.
Comment 8 Oded Ramraz 2011-11-30 03:13:02 EST
I still find my self edit the VM in order to run it once on specific host.
Comment 9 Itamar Heim 2012-12-12 05:43:00 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 10 Oded Ramraz 2012-12-17 03:52:14 EST
I still think that this is an important feature , I need to run a VM on a specific host quite often from various reasons .
Comment 11 Libor Spevak 2013-01-04 09:41:56 EST
Created attachment 672408 [details]
New RunOnce dialog with default host selection
Comment 12 Libor Spevak 2013-01-04 09:45:21 EST
http://gerrit.ovirt.org/#/c/10654/
Comment 13 Libor Spevak 2013-01-21 06:09:36 EST
5dd7db704b380931a9bbbf6dd097f3a1e4f340a0
Comment 14 Libor Spevak 2013-01-23 08:36:04 EST
Patch submitted: Restrict destination host parameter for administrator only

http://gerrit.ovirt.org/#/c/11303/
Comment 16 Libor Spevak 2013-04-04 08:26:35 EDT
Merged u/s: 5dd7db704b380931a9bbbf6dd097f3a1e4f340a0
(GUI)
Merged u/s: d89c17484eb3aee49142ca1a97f665c11b90c1f2
(Backend authorization)
Comment 17 Itamar Heim 2013-04-04 08:37:53 EDT
Libor - this is only for the webadmin, not the power user portal, right?
(users shouldn't be able to choose hosts)
Comment 18 Libor Spevak 2013-04-04 08:48:16 EDT
The cpuPinning and destination host (Host tab) attributes are hidden inside User Portal (e.g. EditVM dialog), so cannot be specified directly using GUI.
But backend side ensures correct authorization for REST API + GWT web service layer.
Comment 20 Itamar Heim 2013-08-21 12:42:10 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 21 Itamar Heim 2013-09-23 03:35:05 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.